Bug 61580 - [UI] [Usability] Add entry "insert comment" in the context menu of text selection in Writer and Impress.
Summary: [UI] [Usability] Add entry "insert comment" in the context menu of text selec...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: Context-Menu Writer-Comments ImpressDraw-Comments
  Show dependency treegraph
 
Reported: 2013-02-27 23:13 UTC by Bastián Díaz
Modified: 2018-12-28 22:47 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bastián Díaz 2013-02-27 23:13:52 UTC
I mean to add a comment directly from the context menu (as currently happens in LO calc).

Currently you have to take a keyboard shortcut or go to the Insert menu to add a comment. It would be much more intuitive to have this input directly from the context menu after selecting the text. Additionally one must consider that other office software (office 2013/365 and google docs) incorporate this little feature.

thanks
Comment 1 Bastián Díaz 2013-02-28 00:55:12 UTC
(In reply to comment #0)
 Additionally one must consider that other office software (office 2013/365 and google docs)incorporate this little feature.

Erratum: I was wrong about something, and he remembered sincerely PowerPoint funcionaliad had it, but not so.
However, even defend the idea because it greatly simplifies the task of managing comments (View functioning Google Drive Presentations).

Thanks
Comment 2 Adolfo Jayme 2013-02-28 08:09:05 UTC
I agree with this request.
Comment 3 Robert Orzanna 2016-04-06 10:37:09 UTC
I support this request.

Having "Insert Comment" added to the context menu of a text selection does sound very logical to me.

It prevents users from having to access the top menu and remember a keyboard shortcut. Thus, as a user it is very intuitive to look for this function in the context menu.

What are your thoughts?

Thankfully,

~Robert
Comment 4 Heiko Tietze 2018-11-17 09:09:14 UTC
IIRC it was removed not too long ago because of simplicity. But would have to dig BZ for a reference.
Comment 5 andreas_k 2018-11-19 12:34:20 UTC
I will add the function to 

writer->text 
impress->drawtext

context menu and the reason is simple. The context menues are not that big AND in writer when you use record track changes the preview and next items are on bottom to comment so it's maybe easier to understood what preview and next are for.
Comment 6 Commit Notification 2018-11-19 21:17:34 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/68814c91eb11ac5c5320353267ae248f33f58df6%5E%21

tdf#61580 add insert comment to writer and impress

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-11-21 08:20:32 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/114ae0f11d85b6b360e2b86eb9cbe2e209795760%5E%21

tdf#61580 add insert comment to writer and impress

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-12-27 09:20:58 UTC
A polite ping to andreas kainz:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 9 andreas_k 2018-12-28 19:59:05 UTC
fixed in 6.2 rc1 ;-)
Comment 10 Robert Orzanna 2018-12-28 22:47:41 UTC
Thanks, Andreas!

Much appreciated. :-)

Yours